<?php
/*
Plugin Name: External Update Example
Plugin URI: http://example.com/
Description: Demonstrates how to handle plugin updates from a third-party source. 
Version: 1.1
Author: Janis Elsts
Author URI: http://w-shadow.com/
*/

require 'plugin-updates/plugin-update-checker.php';
$ExampleUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
	'http://w-shadow.com/files/external-update-example/info.json',
	__FILE__
);

//Here's how you can add query arguments to the URL.
function addSecretKey($query){
	$query['secret'] = 'foo';
	return $query;
}
$ExampleUpdateChecker->addQueryArgFilter('addSecretKey');
